CovidConsult/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static
import homepage.urls as homepage
import forum.urls as forum
import authentication.urls as authentication
import consultation.urls as consultation
import article.urls as article
import obatpedia.urls as obatpedia
import profilepage.urls as profilepage

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include(homepage)),
    path('forum/', include(forum)),
    path('accounts/', include(authentication)),
    path('article/',include(article)),
    path('consultation/', include(consultation)),
    path('obatpedia/', include(obatpedia)),
    path('apis/', include('apis.urls')), 
    path('profile/', include(profilepage))
]

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

apis/urls.py
from django.urls import path

from .views import ListForum, DetailForum

urlpatterns = [
    path('forum/', ListForum.as_view()),
    path('forum/<int:pk>/', DetailForum.as_view()) 
]

article/urls.py
from django.urls import path
from .views import *
app_name = 'article'

app_name = 'article'

urlpatterns = [
    path('', index, name='article'),
    # TODO Add friends path using friend_list Views
    path('add',add_artikel),
    path('<int:id>',artikel_detail,name='artikel_detail'),
    path('rate',rate,name="rate-view"),
    path('search', search_results, name='search results'),
    path('getArtikelFlutter',getArtikelFlutter,name='getArtikelFlutter'),
    path('addArtikelFlutter',addArtikelFlutter,name='addArtikelFlutter'),
]

forum/urls.py
from django.urls import path

from . import views

app_name = 'forum'

urlpatterns = [
    path('', views.forum, name='forum1'),
    path('category/<str:category>/', views.forum, name='forum2'),
    path('category/<str:category>/search/', views.search),
    path('posts/<int:pk>/', views.readForum, name='readForum'),
    
    path('addPost/', views.editPost, name='addPost'),
    path('addReply/<int:pkC>/', views.editReply, name='addReply'),

    path('editPost/<int:pk>/', views.editPost, name='editPost'),
    path('editComment/<int:pk>/', views.editComment, name='editComment'),
    path('editReply/<int:pkC>/<int:pkR>/', views.editReply, name='editReply'),
    
    path('deletePost/<int:pk>/', views.deletePost, name='deletePost'),
    path('deleteComment/<int:pk>/', views.deleteComment, name='deleteComment'),
    path('deleteReply/<int:pk>/', views.deleteReply, name='deleteReply'),
    
    path('profil/<str:username>/', views.profil, name='profil'),
    
    path('confirmDeletePost/<int:pk>/', views.confirmDeletePost, name='confirmDeletePost'),
    path('confirmDeleteComment/<int:pk>/', views.confirmDeleteComment, name='confirmDeleteComment'),
    path('confirmDeleteReply/<int:pk>/', views.confirmDeleteReply, name='confirmDeleteReply'),
    
    path('search/', views.search),

    path('commentForum/<int:pk>/', views.getCommentForum, name='commentForum'),
    path('replyCommentForum/<int:pk>/', views.getReplyForum, name='replyCommentForum'),
    path('api/<str:category>/', views.getCategoryForum, name='getCategoryForum'),
    path('getNum/', views.getNum, name='getNum'),
    
    path('postNewForum/', views.postNewForum, name='postNewForum'),
    path('commentNewForum/<int:pk>/', views.commentNewForum, name='commentNewForum'),
    path('replyCommentNewForum/<int:pk>/', views.replyCommentNewForum, name='replyCommentNewForum'), 
]

homepage/urls.py
from django.urls import path
from homepage.views import index

app_name = 'homepage'

urlpatterns = [
    path('', index, name='index'),
]

profilepage/urls.py
from django.urls import path
from .views import profile, change_password, update_data, getProfilelFlutter, editProfileFlutter

app_name = 'profilepage'

urlpatterns = [
    path('', profile, name="profile-page"),
    path('change-password/', change_password, name="password-change"),
    path('ajax/update/', update_data, name="ajax"),
    path('getflutter/', getProfilelFlutter, name="get_flutter"),
    path('editflutter/', editProfileFlutter, name="edit_flutter"),
]

templates/base.html
<!doctype html>
<html lang="en">
{% load static %}

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="{% static 'base/css/style.css' %}">
  <link rel="shortcut icon" href="{% static 'base/img/mainIcon.png' %}"/>
  <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Mulish:ital,wght@0,400;0,500;0,600;0,700;0,800;1,400;1,500;1,600;1,700;1,800&display=swap" >

  <!-- Bootstrap CSS -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">

  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.bundle.min.js"
  integrity="sha384-/bQdsTh/da6pkI1MST/rWKFNjaCP5gBSY4sEBT38Q/9RBh9AH40zEOg7Hlq2THRZ"
  crossorigin="anonymous"></script>

  <!-- JQUERY -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>


{% block meta %}
{% endblock meta %}
</head>

<body>
  <nav class="navbar navbar-expand-lg fixed-top navbar-dark" style="background-color: #1b1b1b;">
    <div class="container-fluid">
      <a class="navbar-brand" href="{% url 'homepage:index' %}">
        <img src="{% static 'base/img/mainIcon.png' %}" height="32px" alt="" class="d-inline-block align-top">
          <b class="my-auto">CovidConsult</b>
      </a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav me-auto mb-2 mb-lg-0" >
          <li class="nav-item">
            <a class="nav-link active" href="{% url 'consultation:consultation-patient' %}" aria-current="page" >Consultation</a>
          </li>
          <li class="nav-item">
            <a class="nav-link active" href="{% url 'forum:forum1' %}" aria-current="page">Forum</a>
          </li>
          <li class="nav-item">
            <a class="nav-link active" href="{% url 'obatpedia:guest view' %}" aria-current="page" >ObatPedia</a>
          </li>
          <li class="nav-item">
            <a class="nav-link active" href="{% url 'article:article' %}" aria-current="page" >Article</a>
          </li>
        </ul>
        <div class="user-info">
          {% if user.is_authenticated %}
            <a class="text-white my-auto" style="font-family: 'Mulish';" href="{% url 'profilepage:profile-page' %}">Hello, {{user.profile.name}}!</a>
            <a href="{% url 'authentication:Logout' %}">
              <button class="btn" style="background-color: #9F7AEA; border-color: #9F7AEA; color: white;">Logout</button>
            </a>

          {% else %}
          <a href="{% url 'authentication:Login' %}">
            <button class="btn" style="background-color: #9F7AEA; border-color: #9F7AEA; color: white;">Login</button>
          </a>

          {% endif %}
        </div>
      </div>
    </div>
  </nav>
  {% block content %}

  <!--Add your content here-->
  
  {% endblock content %}


  <footer>
    <h4>CovidConsult</h4>
    <a href='https://gitlab.com/pradipta.davi/tk-pbp' >
      <img src="{% static 'base/img/gitlabLogo.png' %}" height="45px">
    </a>
    <h5>Made by: C01-2021</h5>
  </footer>
</body>

</html>